package com.adealink.weparty.profile.dynamic.data

import com.adealink.frame.mvvm.livedata.ExtMutableLiveData

val publishNewDynamicLD = ExtMutableLiveData<Unit>()

data class PublishNewCommentEvent(
    val dynamicId:String,
    val comment: DynamicCommentData
)
val publishNewCommentLD = ExtMutableLiveData<PublishNewCommentEvent>()

data class LikeDynamicEvent(
    val dynamicId: String,
    val liked: Boolean,
    val likeCount: Int
)

val likeDynamicLD = ExtMutableLiveData<LikeDynamicEvent>()

val deleteDynamicLD = ExtMutableLiveData<String>()